%global module_name x509
%global icingaweb_min_version 2.9.0
%global basedir %{_datadir}/icingaweb2/modules/%{module_name}
%global service_name icinga-%{module_name}
%global service_user apache

Name:           icingaweb2-module-%{module_name}
Version:        1.3.2
Release:        1%{?dist}
Summary:        Certificate Monitoring (x509) - Icinga Web 2 module
Group:          Applications/System
License:        GPLv2+
URL:            https://icinga.com
Source0:        https://github.com/Icinga/icingaweb2-module-%{module_name}/archive/v%{version}.tar.gz
Source1:        %{service_name}.service
BuildArch:      noarch
BuildRequires:  systemd-devel
Requires:       systemd
Requires:       icingaweb2 >= %{icingaweb_min_version}
Requires:       php-Icinga >= %{icingaweb_min_version}
Requires:       openssl
Requires:       icingaweb2-module-ipl >= 0.1
Requires:       icingaweb2-module-reactbundle >= 0.4


%description
The certificate monitoring module for Icinga keeps track of certificates as
they are deployed in a network environment. It does this by scanning networks
for TLS services and collects whatever certificates it finds along the way.
The certificates are verified using its own trust store.
The module’s web frontend can be used to view scan results, allowing you to
drill down into detailed information about any discovered certificate of your
landscape.


%prep
%setup -q


%build


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{basedir}
cp -r * %{buildroot}%{basedir}
install -d %{buildroot}%{_unitdir}
install -m 0644 %{SOURCE1} %{buildroot}%{_unitdir}/%{service_name}.service
# Replace user in service unit
sed -i -e 's~^User=.*~User=%{service_user}~' %{buildroot}%{_unitdir}/%{service_name}.service


%clean
rm -rf %{buildroot}


%post
%systemd_post %{service_name}.service
%preun
%systemd_preun %{service_name}.service
%postun
%systemd_postun_with_restart %{service_name}.service


%files
%doc README.md LICENSE
%defattr(-,root,root)
%{basedir}
%{_unitdir}/%{service_name}.service


%changelog
